import enum
import typing


class CipherType(enum.Enum):
    PLAIN = 0x00
    AES_ECB = 0x01
    RSA = 0x02


CIPHER_SYMMETRIC_TYPES: typing.Final[list[CipherType]] = [
    CipherType.PLAIN,
    CipherType.AES_ECB
]
CIPHER_ASYMMETRIC_TYPES: typing.Final[list[CipherType]] = [
    CipherType.RSA
]